/* decode.h
 */
/* This software is Copyright (C) 1991-1995 by Wayne Davison.
 * Also Copyright (C) 1991 by Stan Barber. 
 *
 * Permission is hereby granted to copy, reproduce, redistribute or otherwise
 * use this software as long as: there is no monetary profit gained
 * specifically from the use or reproduction of this software, it is not
 * sold, rented, traded or otherwise marketed, and this copyright notice is
 * included prominently in any copy made. 
 *
 * The authors make no claims as to the fitness or correctness of this software
 * for any use whatsoever, and it is provided as is. Any use of this software
 * is at the user's own risk. 
 */

EXT char* decode_filename INIT(NULL);

#define DECODE_DONE	 0
#define DECODE_START	 1
#define DECODE_INACTIVE  2
#define DECODE_SETLEN	 3
#define DECODE_ACTIVE	 4
#define DECODE_NEXT2LAST 5
#define DECODE_LAST	 6
#define DECODE_MAYBEDONE 7
#define DECODE_ERROR	 8

#ifdef MSDOS
#define GOODCHARS "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz" \
                  "0123456789-_^#%"
#else
#define BADCHARS "!$&*()|\'\";<>[]{}?/`\\ \t"
#endif

typedef int (*DECODE_FUNC) _((FILE*,int));

/* DON'T EDIT BELOW THIS LINE OR YOUR CHANGES WILL BE LOST! */

void decode_init _((void));
char* decode_fix_fname _((char*));
char* decode_subject _((ART_NUM,int*,int*));
int decode_piece _((MIMECAP_ENTRY*,char*));
DECODE_FUNC decode_function _((int));
char* decode_mkdir _((char*));
void decode_rmdir _((char*));
