/* last.h
 */
/* This software is Copyright (C) 1991-1995 by Wayne Davison.
 * Also Copyright (C) 1991 by Stan Barber. 
 *
 * Permission is hereby granted to copy, reproduce, redistribute or otherwise
 * use this software as long as: there is no monetary profit gained
 * specifically from the use or reproduction of this software, it is not
 * sold, rented, traded or otherwise marketed, and this copyright notice is
 * included prominently in any copy made. 
 *
 * The authors make no claims as to the fitness or correctness of this software
 * for any use whatsoever, and it is provided as is. Any use of this software
 * is at the user's own risk. 
 */

EXT char* lastngname INIT(NULL);	/* last newsgroup read */
EXT long lasttime INIT(0);		/* time last we ran */
EXT long lastactsiz INIT(0);		/* last known size of active file */
EXT long lastnewtime INIT(0);		/* time of last newgroup request */
EXT long lastextranum INIT(0);

/* DON'T EDIT BELOW THIS LINE OR YOUR CHANGES WILL BE LOST! */

void last_init _((void));
void readlast _((void));
void writelast _((void));
