/* only.h
 */
/* This software is Copyright (C) 1991-1995 by Wayne Davison.
 * Also Copyright (C) 1991 by Stan Barber. 
 *
 * Permission is hereby granted to copy, reproduce, redistribute or otherwise
 * use this software as long as: there is no monetary profit gained
 * specifically from the use or reproduction of this software, it is not
 * sold, rented, traded or otherwise marketed, and this copyright notice is
 * included prominently in any copy made. 
 *
 * The authors make no claims as to the fitness or correctness of this software
 * for any use whatsoever, and it is provided as is. Any use of this software
 * is at the user's own risk. 
 */

#ifndef NBRA
#include "search.h"
#endif

EXT char* ngtodo[MAXNGTODO];		/* restrictions in effect */
EXT COMPEX* compextodo[MAXNGTODO];	/* restrictions in compiled form */

EXT int maxngtodo INIT(0);		/*  0 => no restrictions */
					/* >0 => # of entries in ngtodo */

EXT char empty_only_char INIT('o');

/* DON'T EDIT BELOW THIS LINE OR YOUR CHANGES WILL BE LOST! */

void only_init _((void));
void setngtodo _((char*));
bool inlist _((char*));
void end_only _((void));
void push_only _((void));
void pop_only _((void));
