/* rcln.h
 */
/* This software is Copyright (C) 1991-1995 by Wayne Davison.
 * Also Copyright (C) 1991 by Stan Barber. 
 *
 * Permission is hereby granted to copy, reproduce, redistribute or otherwise
 * use this software as long as: there is no monetary profit gained
 * specifically from the use or reproduction of this software, it is not
 * sold, rented, traded or otherwise marketed, and this copyright notice is
 * included prominently in any copy made. 
 *
 * The authors make no claims as to the fitness or correctness of this software
 * for any use whatsoever, and it is provided as is. Any use of this software
 * is at the user's own risk. 
 */

/* if TRUE, silence is golden (universal scan mode) */
EXT bool toread_quiet INIT(FALSE);

#define ST_STRICT	0
#define ST_LAX		1

/* DON'T EDIT BELOW THIS LINE OR YOUR CHANGES WILL BE LOST! */

void rcln_init _((void));
#ifdef CATCHUP
void catch_up _((NGDATA*,int,int));
#endif
int addartnum _((DATASRC*,ART_NUM,char*));
#ifdef MCHASE
void subartnum _((DATASRC*,ART_NUM,char*));
#endif
void prange _((char*,ART_NUM,ART_NUM));
void set_toread _((NGDATA*,bool_int));
void checkexpired _((NGDATA*,ART_NUM));
bool was_read_group _((DATASRC*,ART_NUM,char*));
