/* help.h
 */
/* This software is Copyright (C) 1991-1995 by Wayne Davison.
 * Also Copyright (C) 1991 by Stan Barber. 
 *
 * Permission is hereby granted to copy, reproduce, redistribute or otherwise
 * use this software as long as: there is no monetary profit gained
 * specifically from the use or reproduction of this software, it is not
 * sold, rented, traded or otherwise marketed, and this copyright notice is
 * included prominently in any copy made. 
 *
 * The authors make no claims as to the fitness or correctness of this software
 * for any use whatsoever, and it is provided as is. Any use of this software
 * is at the user's own risk. 
 */

/* help locations */
#define UHELP_PAGE 1
#define UHELP_ART 2
#define UHELP_NG 3
#define UHELP_NGSEL 4
#define UHELP_ADDSEL 5
#ifdef ESCSUBS
#define UHELP_SUBS 6
#endif
#define UHELP_ARTSEL 7
#define UHELP_MULTIRC 8
#define UHELP_OPTIONS 9
#ifdef SCAN
#define UHELP_SCANART 10
#endif
#define UHELP_UNIV 11


/* DON'T EDIT BELOW THIS LINE OR YOUR CHANGES WILL BE LOST! */

void help_init _((void));
int help_page _((void));
int help_art _((void));
int help_ng _((void));
int help_ngsel _((void));
int help_addsel _((void));
#ifdef ESCSUBS
int help_subs _((void));
#endif
int help_artsel _((void));
int help_multirc _((void));
int help_options _((void));
#ifdef SCAN
int help_scanart _((void));
#endif
int help_univ _((void));
int univ_key_help _((int));
