/* intrp.h
 */
/* This software is Copyright (C) 1991-1995 by Wayne Davison.
 * Also Copyright (C) 1991 by Stan Barber. 
 *
 * Permission is hereby granted to copy, reproduce, redistribute or otherwise
 * use this software as long as: there is no monetary profit gained
 * specifically from the use or reproduction of this software, it is not
 * sold, rented, traded or otherwise marketed, and this copyright notice is
 * included prominently in any copy made. 
 *
 * The authors make no claims as to the fitness or correctness of this software
 * for any use whatsoever, and it is provided as is. Any use of this software
 * is at the user's own risk. 
 */

EXT char* origdir INIT(NULL);		/* cwd when rn invoked */
EXT char* hostname INIT(NULL);		/* host name to match local postings */
EXT char* headname INIT(NULL);
EXT int perform_cnt;

#ifdef NEWS_ADMIN
    EXT char newsadmin[] INIT(NEWS_ADMIN);/* news administrator */
    EXT int newsuid INIT(0);
#endif

/* DON'T EDIT BELOW THIS LINE OR YOUR CHANGES WILL BE LOST! */

void intrp_init _((char*));
char* dointerp _((char*,int,char*,char*,char*));
char* interp_backslash _((char*,char*));
char* interp _((char*,int,char*));
char* interpsearch _((char*,int,char*,char*));
void normalize_refs _((char*));
